- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_LF_Strategy_Complete Class Reference

A concrete TAO_LF_Strategy for ORB configurations that use the Leader/Followers event loop. More...

`#include <LF_Strategy_Complete.h>`

Inheritance diagram for TAO_LF_Strategy_Complete:

[legend]
Collaboration diagram for TAO_LF_Strategy_Complete:

[legend]
List of all members.

## Public Member Functions
| TAO_LF_Strategy_Complete (void)
| Constructor.
Virtual Methods
Please check the documentation in TAO_LF_Strategy
virtual | ~TAO_LF_Strategy_Complete (void)
virtual void | set_upcall_thread (TAO_Leader_Follower &)
| The current thread will handle an upcall.
virtual int | set_event_loop_thread (ACE_Time_Value *max_wait_time, TAO_Leader_Follower &)
| The current thread is entering the reactor event loop.
virtual void | reset_event_loop_thread (int call_reset, TAO_Leader_Follower &)
| The current thread is leaving the event loop.

## Detailed Description

A concrete TAO_LF_Strategy for ORB configurations that use the Leader/Followers event loop.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE TAO_LF_Strategy_Complete::TAO_LF_Strategy_Complete | ( | void |  | ) |

Constructor.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_LF_Strategy_Complete::~TAO_LF_Strategy_Complete | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_LF_Strategy_Complete::reset_event_loop_thread | ( | int | call_reset,
|  | TAO_Leader_Follower & |  |
| ) |  |  | `[virtual]`

The current thread is leaving the event loop.

When the thread leaves the event loop a new leader must be elected.

Implements TAO_LF_Strategy.

int TAO_LF_Strategy_Complete::set_event_loop_thread | ( | ACE_Time_Value * | max_wait_time,
|  | TAO_Leader_Follower & |  |
| ) |  |  | `[virtual]`

The current thread is entering the reactor event loop.

Threads that block in the reactor event loop become "server" threads for the Leader/Follower set. They must be flagged specially because they do not wait for one specific event, but for any event whatsoever.

Implements TAO_LF_Strategy.

void TAO_LF_Strategy_Complete::set_upcall_thread | ( | TAO_Leader_Follower & |  | ) | `[virtual]`

The current thread will handle an upcall.

Threads that handle requests can block for long periods of time, causing deadlocks if they don't elect a new leader before starting the upcall the system can become non-responsive or dead-lock.

Implements TAO_LF_Strategy.

The documentation for this class was generated from the following files:

- LF_Strategy_Complete.h
- LF_Strategy_Complete.cpp
- LF_Strategy_Complete.inl